Next: Input Devices Up: CalculiX USER'S MANUAL - Previous: Getting Started Contents

#
Command-Line Parameters

     usage: cgx [-a|-b|-c|-duns2d|-duns3d|-stl|-g] filename [ccxfile]

      [-v](default) read a result file in frd-format and optional a solver
          input file (ccx) in addition which provides the sets and loads
          used in the calculation.

      -a  automatic-build-mode, geometry file derived from a cad file is expected
      -b  build-mode, geometry file in fbd-format is expected
      -c  read an solver input file (ccx, Abaqus)
      -duns2d  read duns result files (2D)
      -duns3d  read duns result files (3D)
      -stl  read an stl file (triangles)
      -g  use element-group-numbers from the result file

If no option is provided then a result-file is assumed, see ``Result Format''. The program must be started with the option -g if the so called group numbers of the element-definitions are used in the result file. Otherwise the program will overwrite the group-numbers during startup, see ``group''. The CalculiX sover does not support this feature.

A file containing commands or geometric informations is assumed if the option -b is specified. Such a file will be created if you use the vda2fbd or step2fbd interface or ``exit'' or ``save'' after you have created geometry. Option -a is the same as option -b but merging, defining of line-divisions and the calculation of the interiour of the surfaces is done automatically and the illuminated structure is presented after startup. With option -a and -b the program will start also if no file is specified.

An input deck for the solver can be read with option -c, see ``send''. Certain key-words are known and the affected nodes or elements are stored in sets. Default sets are +bou(dof) to store nodes which are restricted in the corresponding degree of freedom and the sets +dep(dof) and +ind(dof) to store dependent and independent nodes used in equations.

Next: Input Devices Up: CalculiX USER'S MANUAL - Previous: Getting Started Contents